GSTXAL(3NCARG)

NAME
GSTXAL (Set text alignment) - sets the text alignment.

SYNOPSIS
CALL GSTXAL (TXALH, TXALV)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void gset_text_align(const Gtext_align *text_align);

DESCRIPTION

TXALH
    (Integer, Input) - Determines the horizontal alignment of the text to be drawn. Options are:

    0   Normal (default)

    1   Left

    2   Center

    3   Right

TXALV
    (Integer, Input) - Determines the vertical alignment of the text to be drawn. Options are:

    0   Normal (default)

    1   Top

    2   Cap

    3   Half

    4   Base

    5   Bottom

USAGE
Text alignment is used to position the text extent rectangle. The text extent rectangle rotates about the point determined by the horizontal and vertical text alignment settings (TXALH, TXALV).

ACCESS
To use GKS routines, load the NCAR GKS-0A library ncarg_gks.

SEE ALSO
Online: gtx, gstxp, gstxfp, gschh, gschsp, gschup, gschxp, gscr, gstxci, gqtxp, gqtxal, gqtxfp, gqchh, gqchsp, gqchup, gqchxp, plotchar, gset_text_align

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.